<?php 
	require_once("../header.php");
	
	if(isset($_GET['b'])){
		$feste=array('Junge-Menschenunter-6-Jahren_45cfd5abc0327d451cc328310d4dbba4',
				'--ltere-Menschen--ber-65-Jahren_08f29cf12dd84c85699ebad45ba296fa',		
				'Fahrzeug-je-Einwohner_18533c51fcecffb48aa1940e9025db8e',
		'Gro--e-Autos-je-Einwohner_3f2d3b67b007de12a3394cd210890b6e',
		'Ausl--nderanteil_e2368ebf557e056be4cb32c018abf570'

		);
		$b=(int) $_GET['b'];
		if($b>count($feste)-1) $b=0;
		$fest=$feste[$b];
	}
	
	if(isset($_POST['nachkommastellen'])){
		$nachkommastellen=(int) $_POST['nachkommastellen'];
		if($nachkommastellen>10) $nachkommastellen=10;
		if($nachkommastellen<0) $nachkommastellen=0;	
	}else $nachkommastellen=0;
	
	
	if(isset($_POST['legendenstufen'])){
		$legendenstufen=(int) $_POST['legendenstufen'];
		if($legendenstufen>10) $legendenstufen=10;
		if($legendenstufen<2) $legendenstufen=2;	
	}else $legendenstufen=10;
	
	if(isset($_POST['hebefaktor'])){
		$hebefaktor=1*preg_replace('/,/','.',$_POST['hebefaktor']);
		if($hebefaktor<0) $hebefaktor=1;	
	}else $hebefaktor=1;
	if($hebefaktor==0) $hebefaktor=1;
	
	
	
	if(isset($_POST['werte'])){
		$titel=explode(';',$_POST['titel']);
		if(count($titel)==0) $titel[0]='Hier die Überschrift';
		if(count($titel)==1) $titel[1]=''; // Mache zwei Zeilen draus
		if(count($titel)>2){
			$stitel=$titel; $titel=array(); 
			$titel[0]=$stitel[0]; $titel[1]=$stitel[1];
		}
		
		$werte=preg_split("/[\n;]/",$_POST['werte']);
		
		// Falls am Ende eine Leerzeile
		if(count($werte)==26 AND trim($werte[25])=='') array_pop($werte);

		
		if(count($werte)==25){	
			$make=true;
			$swerte=array();
			foreach($werte AS $wert){
				$wert=preg_replace('/,/','.',$wert);
				$rwert=round($hebefaktor*trim($wert),$nachkommastellen);
				array_push($swerte,$rwert);				
			}
			$werte=$swerte;
			
		}else{
			$fehler="Du musst exakt 25 Werte angeben, hast aber ".count($werte)." angegeben. Je Zeile ein Wert.";
		}
	}
?>
<li class="post clearfix">
	<div class="post-content">
	
	<?php	if(!isset($_POST['submit']) AND !isset($_GET['b'])){?>
		<h2 class="title">Datenlandkarte von München erstellen</h2>
		<br style="clear:both;"/>
		<p style="font-style:italic;color:#333;font-size:13px;line-height:15px">
				Die Landeshauptstadt München hat im Rahmen ihres
				<a href="http://www.muenchen.de/mogdy">MOGDy-Prozesses (»Munich Open Government Day«)</a>
				begonnen, statistische Daten der Verwaltung maschinenlesbar zur Verfügung zu stellen.
				Darunter sind z.B. Daten zu den Einwohnerzahlen der 25 Stadtbezirke oder 
				wieviele KFZ mit welchem Hubraum pro Stadtbezirk angemeldet sind.
				<a href="http://www.muenchen.de/Rathaus/dir/limux/mogdy/Programmierwettbewerb/463050/index.html">
				Hier gibt es eine Liste mit allen zur Verfügung stehenden Daten im maschinenlesbaren csv-Format.</a>
				<br/><br/>
				Hier kannst Du aus diesen Rohdaten eine farbige Landkarte der Stadt München erstellen.
				Dabei werden die Stadtbezirke unterschiedlich eingefärbt, je nachdem
				wie stark ein Merkmal dort ausgeprägt ist. Die Landkarte darfst Du anschließend
				herunterladen und frei verwenden.<br/>
				Bei Fragen und Anmerkungen, wende Dich bitte an
				<a href="MAILTO:thomas.pfeiffer@webevangelisten">Thomas Pfeiffer</a>
				aka <a href="http://twitter.com/codeispoetry">@codeispoetry</a>. Einen schönen
				Tag noch.
			</p>
	<?php }else{ ?>
			<h2 class="title" style="float:left">Datenlandkarte von München</h2>
		
		<a href="erstellen.php" style="float:left;padding:26px 0 0 20px">Selber eine Karte erstellen</a>
		
	<?php } ?>
			<?php
		
			if(isset($make) OR isset($fest)){
				if(isset($fest)) $produkt=$fest;
				else{
					$filetitle=preg_replace('/[^a-zA-Z0-9]/','-',join('',$titel));
					$produkt=$filetitle.'_'.md5(join(',',$titel).join(',',$_POST));
				}
				
				$bild="bilder/{$produkt}.gif";
				if(file_exists($bild)){
				?>
					<img src="bilder/<?=$produkt?>.gif" width="695"/>
					<br/><br/>
					Klicke das Bild mit der rechen Maustaste an, um es herunterzuladen oder in voller Größe anzusehen.
					Du darfst es gerne auf Deiner Website oder anderswo weiterverwenden.
				<?php
				}else{				
					require_once('make.php');
				}
			}else{
				if(isset($_POST['titel'])) $posttitel=$_POST['titel'];
				else $posttitel='';
				if(isset($_POST['werte'])) $postwerte=$_POST['werte'];
				else $postwerte='';
				
				if(isset($fehler)) echo "<div class=\"fehler\">$fehler</div>";
			?>
			<table>
			<form method="post" action="bild.php">
				<tr>
					<td class="left">Titel: </td>
					<td class="middle">
						<input type="text" name="titel" value="<?=$posttitel?>"
						style="width:600px;border:1px solid #999"
						/><br/>Kann zweizeilig sein. Dann bitte die beiden Zeilen mit ; trennen.</td>
					<td class="right"></td>
				</tr>
				<tr>
					<td class="left">Werte: </td>
					<td class="middle">
						<textarea name="werte" style="width:600px;height:200px;border:1px solid #999"><?=$postwerte?></textarea><br/>
						Je Zeile genau ein Wert. Exakt 25 Werte, in der Reihenfolge, wie die Stadtbezirke
						offiziell durchnummeriert sind.
					</td>
					<td class="right"></td>
				</tr>
				<tr>
					<td class="left">Kommastellen: </td>
					<td class="middle">
						<input type="text" name="nachkommastellen" value="<?=$nachkommastellen?>"
						style="width:100px;border:1px solid #999"
						/> 0 bis 10.</td>
					<td class="right"></td>
				</tr>
				<tr>
					<td class="left">Hebefaktor: </td>
					<td class="middle">
						<input type="text" name="hebefaktor" value="<?=$hebefaktor?>"
						style="width:100px;border:1px solid #999"
						/> Jeder Wert wirt damit multipliziert. Damit kann man z.B. »0,45« in Prozentwerte umrechnen.</td>
					<td class="right"></td>
				</tr>
				<tr>
					<td class="left">Farbanzahl: </td>
					<td class="middle">
						<input type="text" name="legendenstufen" value="<?=$legendenstufen?>"
						style="width:100px;border:1px solid #999"
						/> 2 bis 10. Anzahl der unterschiedlichen Farben auf der Karte.</td>
					<td class="right"></td>
				</tr>
				<tr>
					<td class="left"></td>
					<td class="middle"><input name="submit" type="submit" value="Karte erstellen"/></td>
					<td class="right"></td>
				</tr>
				 
				
			</form>
			</table>		
		<?php }?>				                         
	</div>
</li>
					

<?php require_once("../footer.php"); ?>